import "Turbine"
import "Turbine.UI"
import "Turbine.Gameplay"

-- all this plugin does is provide a snapshot of the party names.
-- Party Plugin loads this plugin, reads the party names and once complete it unloads this plugin.
-- This helps alleviate some of the bugs in the Turbine Party object.
local party=Turbine.Gameplay.LocalPlayer:GetInstance():GetParty();
local lIndex;
local shellCommand=Turbine.ShellCommand();
local shellString="";
local loaded=false;
local member;
if party~=nil then
	member=party:GetLeader();
	shellString="0MPL0_"..member:GetName();
	for lIndex=1,party:GetMemberCount() do
		member=party:GetMember(lIndex);
		-- note, the "MP" is just to make the string unique among "Party" plugins
		shellString=shellString..";0MPM"..tostring(lIndex).."_"..tostring(member:GetName());
	end
	Turbine.Shell.AddCommand(shellString,shellCommand);
end

tmpWindow=Turbine.UI.Window()
tmpWindow.Update=function()
	if (Plugins["MyParty"] ~= nil) and (not loaded) then
		loaded=true;
		Plugins["MyParty"].Unload = function(self,sender,args)
			Turbine.Shell.RemoveCommand(shellCommand)
		end
		tmpWindow:SetWantsUpdates(false);
	end
end